/* This thing is largely bashed together from SadGrl's layout template (at https://sadgrl.online/projects/layout-builder/) and https://www.w3schools.com/ and some StackOverflow threads */

body {
    font-family: "Old English Text MT", fantasy;
    margin: 0;
    background-color: #d6bf8f;
    color: #000000;
    font-size: 20px;
}

* {
    box-sizing: border-box;
}

#container {
    max-width: 1070px;
    margin: 0 auto;
}

a {
    color: #6600cc;
    font-weight: bold;
    text-decoration: none;
    text-shadow: 0 0 5px #00ffff;
}

h1 a,
h2 a,
h3 a,
h4 a,
h5 a {
    color: #000000;
    text-decoration: none;
}

a:hover {
    color: #f700ff;
}


#header {
    width: 100%;
    background-repeat: no-repeat;
    background-size: auto 100%;
    background-position: center;
    background-color: #bfa264;
    height: 150px;
}

main {
    background-color: #d6bf8f;
    padding: 20px 20px 20px 80px;
    text-align: justify;
}

h1,
h2 {
    text-align: left;
    border-bottom: 1px black solid;
    width: 100%;
}

h4 {
    text-align: left;
    font-size: 19px;
    margin: 0px;
    width: 100%;
}

footer {
    background-color: #bfa264;
    width: 100%;
    height: 40px;
    padding: 10px;
    text-align: center;
}

.imagehere {
    height: 150px;
    width: 150px;
    margin-left: auto;
    margin-right: auto;
    background-repeat: no-repeat;
    background-position: center;
    background-size: auto 100%;
}

.charactermain-image {
    height: 350px;
    width: 300px;
    margin-left: auto;
    background-repeat: no-repeat;
    background-size: auto 100%;
    background-position: center;
    border: 1px black solid;
}

.galleryimage {
    float: left;
    width: 170px;
    height: 170px;
    background-repeat: no-repeat;
    background-size: auto 100%;
    background-position: center;
    margin: 10px;
    border: 1px black solid;
}

h1,
h2,
h3 {
    color: #000000;
}

h1 {
    font-size: 40px;
}

h2 {
    font-size: 25px;
}


/* Thanks to LetoLeGaosaure on Pillowfort for pointing this out! */
h1 a:hover,
h2 a:hover,
h3 a:hover,
h4 a:hover,
h5 a:hover {
    color: inherit;
}

/* -------- */

.box {
    background-color: #c8aa6a;
    border: 1px solid #ff33cc;
    padding: 10px;
}

.gallery {
    background-color: #bd984a;
    padding: 10px;
    overflow: hidden;
}

#toc {
    float: left;
    text-align: left;
    width: 200px;
    margin-right: auto;
    margin: 0px 40px 10px 0px;
    background-color: #e0cfab;
    border: 1px solid #000000;
}

ol {
    padding-left: 8%;
    list-style-type: circle;
}

li {
    padding-bottom: 3px;
}

.characterprofile {
    float: right;
    width: 300px;
    margin-left: auto;
    margin: 0px 0px 30px 30px;
    background-color: #c8aa6a;
}

/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
}


table {
    border-collapse: collapse;
    width: 300px;
    background-color: #e0cfab;
    border-top: 1px solid black;
    border-bottom: 1px solid black;
}

tbody {
    margin: 3px 10px;
}

td,
th {
    text-align: left;
    padding: 3px 10px;
    border-right: 1px solid black;
    border-left: 1px solid black;
}

td:nth-child(odd) {
    font-weight: 600;
    text-align: right;
}

tr:nth-child(odd) {
    background-color: #c8aa6a;
}


/* MEDIA QUERY */

@media only screen and (max-width: 1350px) {
    main {
        float: left;
        width: 100%;
        margin-left: auto;
        margin-right: auto;
        margin: 10px 0px 0px 00px;
        padding: 0px;
    }
}

@media only screen and (max-width: 1100px) {

    table,
    .characterprofile {
        float: left;
        width: 100%;
        margin: 10px 0px 0px 00px;
    }

    .characterprofile {
        float: left;
        width: 100%;
        margin: 0px 0px 30px 0px;
    }

    main {
        padding: 20px;
    }

    .charactermain-image {
        width: 100%;
        margin: 0px 0px 10px 00px;
    }

}

